{
    "name" : "银收客",
    "appid" : "__UNI__02A31D8",
    "description" : "",
    "versionName" : "1.0.0",
    "versionCode" : 100,
    "transformPx" : false,
    "app-plus" : {
        /* 5+App特有相关 */
        "usingComponents" : true,
        "nvueCompiler" : "uni-app",
        "nvueStyleCompiler" : "uni-app",
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        "modules" : {
            "Canvas" : "nvue canvas", //使用Canvas模块
            "Geolocation" : {},
            "Maps" : {},
            "Barcode" : {},
            "Camera" : {}
        },
        /* 模块配置 */
        "distribute" : {
            /* 应用发布信息 */
            "android" : {
                /* android打包配置 */
                "permissions" : [
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
                    "<uses-permission android:name=\"android.permission.INTERNET\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_EXTERNAL_STORAGE\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
                ],
                "abiFilters" : [ "armeabi-v7a" ],
                "permissionExternalStorage" : {
                    "request" : "none",
                    "prompt" : "应用保存运行状态等信息，需要获取读写手机存储（系统提示为访问设备上的照片、媒体内容和文件）权限，请允许。"
                },
                "permissionPhoneState" : {
                    "request" : "none",
                    "prompt" : "为保证您正常、安全地使用，需要获取设备识别码（部分手机提示为获取手机号码）使用权限，请允许。"
                },
                "autoSdkPermissions" : true,
                "targetSdkVersion" : 26,
                "minSdkVersion" : 21
            },
            "ios" : {
                "dSYMs" : false
            },
            /* ios打包配置 */
            "sdkConfigs" : {
                "geolocation" : {
                    "amap" : {
                        "__platform__" : [ "ios", "android" ],
                        "appkey_ios" : "0b9be2631525ee5e218ac26d333f215c",
                        "appkey_android" : "9d1e62050f8558a082f7aa3ad5bb3c68"
                    }
                },
                "maps" : {
                    "amap" : {
                        "appkey_ios" : "0b9be2631525ee5e218ac26d333f215c",
                        "appkey_android" : "9d1e62050f8558a082f7aa3ad5bb3c68"
                    }
                },
                "ad" : {},
                "push" : {}
            },
            "icons" : {
                "android" : {
                    "hdpi" : "unpackage/res/icons/72x72.png",
                    "xhdpi" : "unpackage/res/icons/96x96.png",
                    "xxhdpi" : "unpackage/res/icons/144x144.png",
                    "xxxhdpi" : "unpackage/res/icons/192x192.png"
                },
                "ios" : {
                    "appstore" : "unpackage/res/icons/1024x1024.png",
                    "ipad" : {
                        "app" : "unpackage/res/icons/76x76.png",
                        "app@2x" : "unpackage/res/icons/152x152.png",
                        "notification" : "unpackage/res/icons/20x20.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "proapp@2x" : "unpackage/res/icons/167x167.png",
                        "settings" : "unpackage/res/icons/29x29.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "spotlight" : "unpackage/res/icons/40x40.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png"
                    },
                    "iphone" : {
                        "app@2x" : "unpackage/res/icons/120x120.png",
                        "app@3x" : "unpackage/res/icons/180x180.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "notification@3x" : "unpackage/res/icons/60x60.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "settings@3x" : "unpackage/res/icons/87x87.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png",
                        "spotlight@3x" : "unpackage/res/icons/120x120.png"
                    }
                }
            },
            "splashscreen" : {
                "androidStyle" : "common",
                "android" : {
                    "hdpi" : "E:/oem-infos/0.收银呗科技/前端打包文件/商户通/启动图/480.png",
                    "xhdpi" : "E:/oem-infos/0.收银呗科技/前端打包文件/商户通/启动图/720.png",
                    "xxhdpi" : "E:/oem-infos/0.收银呗科技/前端打包文件/商户通/启动图/1080.png"
                },
                "useOriginalMsgbox" : true
            }
        }
    },
    /* SDK配置 */
    "quickapp" : {},
    /* 快应用特有相关 */
    "mp-weixin" : {
        "appid" : "wxcf0fe8cdba153fd6",
        "setting" : {
            "urlCheck" : false,
            "minified" : true,
            "postcss" : true,
            "es6" : true
        },
        "optimization" : {
            "subPackages" : true
        },
        "usingComponents" : true,
        "permission" : {
            "scope.userLocation" : {
                "desc" : "您的位置信息将用于确定门店位置"
            }
        },
        "requiredPrivateInfos" : [ "chooseLocation", "getLocation" ],
        "unipush" : {
            "enable" : true
        },
        // "plugins" : {
        //     "WechatSI" : {
        //         "version" : "0.3.5",
        //         "provider" : "wx069ba97219f66d99"
        //     }
        // },
        "requiredBackgroundModes" : [ "audio", "location" ],
        "__usePrivacyCheck__" : true,
        "libVersion" : "latest"
    },
    "vueVersion" : "3",
    "h5" : {
        "unipush" : {
            "enable" : true
        },
        "devServer" : {
            "disableHostCheck" : true
        },
        "sdkConfigs" : {
            "maps" : {
                "amap" : {
                    "key" : "6033c97e67bf2e9ceac306e1a3fa35f8",
                    "securityJsCode" : "0547b69252ef0ed14e11f5c4ac152f07",
                    "serviceHost" : ""
                }
            }
        }
    },
    "mp-alipay" : {
        "appid" : "2021004128648214"
    }
}
